Package org.mozilla.javascript

## Interface ContextListener

- All Superinterfaces:
    `ContextFactory.Listener`

      @Deprecated
      public interface ContextListener
      extends ContextFactory.Listener

  Deprecated.
  Embeddings that wish to customize newly created `Context` instances should implement `ContextFactory.Listener`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `contextEntered​(Context cx)` | Deprecated. Rhino runtime never calls the method.
    `void` | `contextExited​(Context cx)` | Deprecated. Rhino runtime never calls the method.

    - ### Methods inherited from interface org.mozilla.javascript.ContextFactory.Listener

      `contextCreated, contextReleased`

- - ### Method Detail

    - #### contextEntered

          @Deprecated
          void contextEntered​(Context cx)

      Deprecated.
      Rhino runtime never calls the method.

    - #### contextExited

          @Deprecated
          void contextExited​(Context cx)

      Deprecated.
      Rhino runtime never calls the method.